var Cajas=function(){
	this.baseUrl=null;
	this.test=function(){
		console.log('La clase Cajas ha sido instanciado correctamente');
	}
	this.cargarCajas=function(){
		var parent = this;
		$.get(parent.baseUrl+"administracion/cargar_cajas",function(res){$("#cajas-lista-table tbody").html(res)},"html");
	}
	this.cargarDetallesCajas=function(id){
		var parent = this;
		$.get(parent.baseUrl+"administracion/detalles_caja?id="+id,function(res){$(".ajax-cajas-content").html(res)},"html");
	}
	this.setUrl=function(url){
		this.baseUrl=url;
	}
	this.guardar=function(e,action){
		var sender = '#guardar-caja';
		$(sender).attr('disabled','disabled');
		var parent = this;
		
		var options = {
			beforeSubmit:function(){
				
			},
			success:function(responseText){
				toastr.options = {
				  "closeButton": true,
				  "progressBar": true,
				  "positionClass": "toast-top-right"
				}
				toastr.success('La Caja '+responseText.split("‡")[0]+' se ha '+action+' en la Base de Datos del Sistema');
				parent.cargarCajas();
				parent.cargarDetallesCajas(responseText.split("‡")[1]);
				Custombox.close(); 
			}
		};
		
		$('#formSaveCaja').ajaxSubmit(options);
		
		e.preventDefault();
	}
	this.docDefault = function(e){
	    var sender = '#guardar-docdefault';
		$(sender).attr('disabled','disabled');
			var options = {
    			beforeSubmit:function(){
    				
    			},
    			success:function(responseText){
    				toastr.options = {
        				  "closeButton": true,
        				  "progressBar": true,
        				  "positionClass": "toast-top-right"
    			    }
				    toastr.success('El documento de facturacion por defecto ha sido actualizado');
				    $(sender).removeAttr('disabled');
		    	}
			};
		
		$('#formDocDefault').ajaxSubmit(options);
		e.preventDefault();
	}
	this.mensaje=function(e){
		var sender = '#guardar-mensaje';
		$(sender).attr('disabled','disabled');
		
		var options = {
			beforeSubmit:function(){
				
			},
			success:function(responseText){
				toastr.options = {
				  "closeButton": true,
				  "progressBar": true,
				  "positionClass": "toast-top-right"
				}
				toastr.success('El Mensaje se ha guardado en la Base de Datos del Sistema');
				$(sender).removeAttr('disabled');
			}
		};
		
		$('#formSaveMensaje').ajaxSubmit(options);
		
		e.preventDefault();
	}
	this.cotizacion=function(e){
		var sender = '#guardar-cotizacion';
		$(sender).attr('disabled','disabled');
		
		var options = {
			beforeSubmit:function(){
				
			},
			success:function(responseText){
				toastr.options = {
				  "closeButton": true,
				  "progressBar": true,
				  "positionClass": "toast-top-right"
				}
				toastr.success('Los Mensajes en la Cotizacion se han guardado en la Base de Datos del Sistema');
				$(sender).removeAttr('disabled');
			}
		};
		
		$('#formSaveCotizacion').ajaxSubmit(options);
		
		e.preventDefault();
	}
	this.eliminar=function(item,nombre,estado){
		var parent = this;
		if(estado==1){
			sweetAlert("Caja activa", "No es posible realizar esta acción en una caja activa", "error");
		}else{
			swal({
				title: 'Eliminar Caja '+nombre,
				text: '&iquest;Deseas eliminar esta Caja?',
				html: true,
				type: 'warning',
				showCancelButton: true,
				confirmButtonColor: '#3C8DBC',
				confirmButtonText: 'Si, eliminar Caja',
				cancelButtonText: 'No eliminar nada'
			},
			function() {
				$.get(parent.baseUrl+'administracion/eliminar_caja?id='+item)
				.done(function(){
					toastr.options = {
					  "closeButton": true,
					  "progressBar": true,
					  "positionClass": "toast-top-right"
					}
					toastr.success('La caja <b>'+nombre+'</b> se ha eliminado de la Base de Datos del Sistema');
					parent.cargarCajas();
					$('.ajax-cajas-content').html("");
				});            
			});
		}
	}
}
var cajas = new Cajas();